Subject: Re: bug#27631: dired a/*/b

From: Tino Calancha <[email-masked]>
Date: Fri, 28 Jul 2017 16:50:20 +0900

Michael Albinus <[email-masked]> writes:

> I've applied your patch, and I've performed "C-x C-f
> /scp:remotehost:~/src/tramp/*/*". It works as expected.
>
> Neither "C-x d ~/src/*/lisp" nor "C-x d /scp:remotehost:~/src/*/lisp"
> works. According to the NEWS entry in your patch, I would expect that at
> least the former works.
No, the former must fails because there is n match.  Maybe just the error is not clear.
The wildcard, ~/src/*/lisp
matches things like:
~/src/foo/lisp
but not:
~/src/lisp

I)
The following should match something:
C-x d ~/src/*/gray*

I got a dired buffer with 3 files:
bitmaps/gray1.xbm
bitmaps/gray3.xbm
bitmaps/gray.xbm

II)
If i try I) with tramp, for instance calling sudo:
/sudo:calancha@calancha-pc:/home/calancha/soft/emacs-master/src/*/gray* RET
then i get:

tramp-file-name-handler: Couldn’t ‘cd /home/calancha/soft/emacs-master/src/\*/’

;; Which doesn't sorprise me because my patch doesn't touch any
;; tramp file.